@echo off

echo -- Compiling resources for NetRaider Client...
echo.

cd resource
if exist netclnt.res del netclnt.res
d:\masm32\rc\rc -i .\include\ -v netclnt.rc

if exist netclnt.obj del netclnt.obj
d:\masm32\bin\cvtres /machine:ix86 /out:netclnt.obj netclnt.res
cd ..

if exist netclnt.exe del netclnt.exe

echo -- Compiling executable...
echo.
d:\masm32\bin\ml /c /coff /Cp /I.\include netclnt.asm

echo.
echo -- Linking executable...
echo.
d:\masm32\bin\link /SUBSYSTEM:WINDOWS /LIBPATH:d:\masm32\lib netclnt.obj resource\netclnt.obj

del netclnt.obj